# Command: eq_dv

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    eq_dv - tests for content equality between vectors of doubles

Synopsis:

      array array -> bool

Description:

      Deep equality test since regular eq is an identity test for vectors.
      Intent is to be used in mathematica.sli to override eq for
      doublevectortype.
      Example:
      <. 1 .> <. 1 .> eq_ --> false
      <. 1 .> <. 1 .> eq_dv --> true

Parameters:

      two array of doubles

Author:

    Peyser

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/sliarray.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative